[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / ExpandRowService

# Class: ExpandRowService\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:7](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts#L7)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new ExpandRowService()

> **new ExpandRowService**\<`Data`\>(): [`ExpandRowService`](ExpandRowService.md)\<`Data`\>

#### Returns

[`ExpandRowService`](ExpandRowService.md)\<`Data`\>

## Properties

### expandedRow

> **expandedRow**: `BehaviorSubject`\<`null` \| `Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:8](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts#L8)

## Methods

### isExpanded()

> **isExpanded**(`row`): `boolean`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts#L18)

#### Parameters

##### row

`Data`

#### Returns

`boolean`

***

### isExpanded$()

> **isExpanded$**(`row`): `Observable`\<`boolean`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts#L22)

#### Parameters

##### row

`Data`

#### Returns

`Observable`\<`boolean`\>

***

### toggleRow()

> **toggleRow**(`row`): `void`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:10](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts#L10)

#### Parameters

##### row

`Data`

#### Returns

`void`
